> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Test Suite Execution Status and Summary API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To get the status of a Conversation Test Suite Execution request against a unique `testSuiteId` while in progress, and provide a download link for results after execution completes.

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                              |
| **Endpoint**      | `https://{{host}}/api/public/stream/:streamId/conversation/testsuite/:testSuiteName/:testRunId/status`                           |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Conversation Tests Execution; Admin Console: Conversation Tests Execution                                           |

## Query Parameters

| Parameter       | Description                                                             | Required |
| --------------- | ----------------------------------------------------------------------- | -------- |
| `host`          | Environment URL. For example, `https://platform.kore.ai`.               | Required |
| `StreamID`      | The Stream ID. Access it under **General Settings** on the App Builder. | Required |
| `testSuiteName` | The name of the Test Suite.                                             | Required |
| `testRunId`     | The ID of the test run to track execution status.                       | Required |

## Sample Request

```bash theme={null}
curl --location --request GET \
  'https://{{host}}/api/public/stream/:streamId/conversation/testsuite/:testSuiteName/:testRunId/status' \
    --header 'auth: {YOUR_JWT_ACCESS_TOKEN}' \
    --header 'bot-language: {language-code}'
```

## Body Parameters

No body parameters are passed.

## Sample Response

**When the request is in progress:**

```json theme={null}
{
    "_id": "ctr-80xxxxxa-bxx1-5xx1-axx7-d5xxxxxxxxxb",
    "streamId": "st-4xxxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0",
    "testSuiteId": "ctc-3xxxxxx5-6xxf-5xxb-bxx8-04xxxxxxxxxc",
    "status": "inprogress",
    "totalTestStepsCount": 13,
    "result": {
        "startTime": "2023-08-23T10:14:13.330Z",
        "version": "configured",
        "status": "inprogress"
    },
    "percentageCompleted": 85
}
```

**When the request is completed:**

```json theme={null}
{
    "_id": "ctr-8xxxxxxa-bxx1-5xx1-axx7-d5xxxxxxxxxb",
    "streamId": "st-4xxxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0",
    "testSuiteId": "ctc-3xxxxxx5-6xxf-5xxb-bxx8-04xxxxxxxxxc",
    "status": "passed",
    "totalTestStepsCount": 13,
    "result": {
        "startTime": "2023-08-23T10:14:13.330Z",
        "version": "configured",
        "status": "passed",
        "stepDetails": {
            "passed": 13,
            "failed": 0,
            "total": 13
        },
        "duration": 14364
    },
    "percentageCompleted": 100
}
```
